defaults:
   web_player:
     name:                             'HTML5 Player'
     description:                      ''
     weight:                           -9598
     params:
       enable_webplayer:
         type:                         boolean
         value:                        true
         name:                         'Enable HTML5 Player'
         description:                  'If enabled, the HTML5 Player functionality is available.'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
<?php if(!class_exists('ProjectConfiguration')) require_once dirname(dirname(__FILE__)) . '/../../../config/ProjectConfiguration.class.php'; ?>
<?php if(ProjectConfiguration::LICENSE != 'COMMUNITY' && ProjectConfiguration::LICENSE != 'LIGHT'): ?>
       enable_quality_selector:
         type:                         boolean
         value:                        true
         name:                         'Enable quality selector'
         description:                  'If enabled, the quality selector is available.'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       enable_automatic_quality_selector:
         type:                         boolean
         value:                        true
         name:                         'Enable automatic quality switching'
         description:                  'If enabled, qualities will automatically switch up or down according to the available bandwidth.'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       enable_automatic_quality_mode:
        type:                         set
        value:                        1
        set:                          {1: 'automatic up-switch and down-switch', 2: 'automatic down-switch only', 3: 'automatic up-switch only' }
        name:                         'Automatic quality switching mode'
        description:                  'Define the mode how automatic qualitiy switching should work.'
        editable:                     true
        system:                       false
        nullable:                     false
<?php endif; ?>
       webplayer_template:
         type:                         set
         <?php echo stWebPlayer::gernerateTemplateYamlSet()."\n"; ?>
         value:                        ViMP_default
         name:                         'Templatestyle'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       webplayer_controlbar_height:
         type:                         integer
         value:                        40
         name:                         'HTML5 Player control bar height'
         description:                  'Height in pixel for calculating the size of the Share-iframe.'
         editable:                     true
         system:                       true
         nullable:                     false
         secret:                       false
       webplayer_chapters_height:
         type:                         integer
         value:                        300
         name:                         'Weblayer chapter bar height'
         description:                  'Height in pixel for calculating the size of the Share-iframe.'
         editable:                     true
         system:                       true
         nullable:                     false
         secret:                       false
       webplayer_template_webtv:
         type:                         set
         <?php echo stWebPlayer::gernerateTemplateYamlSet()."\n"; ?>
         value:                        ViMP_default_webtv
         name:                         'Templatestyle for WebTV'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       webplayer_template_mobile:
         type:                         set
         <?php echo stWebPlayer::gernerateTemplateYamlSet()."\n"; ?>
         value:                        ViMP_default_mobile
         name:                         'Templatestyle for Mobile'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       webplayer_template_backend:
         type:                         set
         <?php echo stWebPlayer::gernerateTemplateYamlSet()."\n"; ?>
         value:                        ViMP_backend
         name:                         'Templatestyle for Backend'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       html5_autostart_desktop:
         type:                         boolean
         value:                        false
         name:                         'Enable autostart (desktop)'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
       html5_autostart_mobile:
         type:                         boolean
         value:                        false
         name:                         'Enable autostart (mobile)'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
       webplayer_allowseeking:
         type:                         boolean
         value:                        true
         name:                         'Allow Seeking'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
<?php if(ProjectConfiguration::LICENSE != 'COMMUNITY' && ProjectConfiguration::LICENSE != 'LIGHT'): ?>
       webplayer_vastmode:
         type:                         set
         set:                          {0: 'Dont Allow Seeking over Ad.', 1: 'Allow Seeking over Ad.', 2: 'Allow Seeking over Ad, Ad does not disappear after playing.'}
         value:                        2
         name:                         'VAST-Mode'
         description:                  'Defines how the Ads should be handled.'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
<?php endif; ?>
       watermark_position:
         type:                         set
         set:                          {off: 'Off', tl: 'Top Left', tr: 'Top Right', bl: 'Bottom Left', br: 'Bottom Right'}
         value:                        off
         name:                         'Watermarkposition'
         description:                  'Defines the position of the watermark or turns it off.'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       watermark_image_path:
         type:                         file
         value:                        ''
         destination:                  %SF_WEB_DIR%/images/
         mime-types:                   web_images
         name:                         'Watermarkimage'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       watermark_opacity:
         type:                         string
         value:                        '0.3'
         name:                         'Watermark opacity'
         description:                  'Reaches from 0 (transparent) to 1 (not transparent). Default is 0.3.'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       watermark_link:
         type:                         string
         value:                        ''
         name:                         'Watermark link'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       enable_chapters:
         type:                         boolean
         value:                        true
         name:                         'Enable chapters'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       chapters_fallback_language:
         type:                         culture
         value:                        en
         name:                         'Chapter Fallbacklanguage'
         description:                  'Chapters will Fallback to this language, if there are no chapter in the users language.'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       chapters_thumb_width:
         type:                         integer
         value:                        0
         name:                         'Chapter Thumbnail Width'
         description:                  'Defines the width of the Thumbnail for a chapter. If width or(!) height equals 0, the other Value is calculated automatically. (Default: @default)'
         editable:                     true
         system:                       true
         nullable:                     false
         secret:                       false
       chapters_thumb_height:
         type:                         integer
         value:                        80
         name:                         'Chapter Thumbnail Height'
         description:                  'Defines the height of the Thumbnail for a chapter. If width or(!) height equals 0, the other Value is calculated automatically. (Default: @default)'
         editable:                     true
         system:                       true
         nullable:                     false
         secret:                       false
       chapters_use_sprites:
         type:                         boolean
         value:                        true
         name:                         'Use Spritemap as Thumbnail for a chapter'
         description:                  'This method is faster, but might not be that accurate (requires FFmpeg on the server, if disabled).'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       enable_seek_preview:
         type:                         boolean
         value:                        true
         name:                         'Enable Seekpreview'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       seek_preview_thumb_width:
         type:                         integer
         value:                        0
         name:                         'Seekpreview Thumbnail Width'
         description:                  'Defines the width of the Thumbnail for the Seekpreview. If width or(!) height equals 0, the other Value is calculated automatically. To apply changes to a medium, it has to be retranscoded. (Default: @default)'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       seek_preview_thumb_height:
         type:                         integer
         value:                        80
         name:                         'Seekpreview Thumbnail Height'
         description:                  'Defines the height of the Thumbnail for the Seekpreview. If width or(!) height equals 0, the other Value is calculated automatically. To apply changes to a medium, it has to be retranscoded. (Default: @default)'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       seek_preview_thumb_sprites:
         type:                         integer
         value:                        100
         name:                         'Seekpreview Spritemap-Sprites'
         description:                  'Defines the amount of Thumbnails (Sprites) for the Seekpreview. The squareroot of that Value has to be an integer(4, 9, 16, 25, 36, 49 , 64, 81, 100). To apply changes to a medium, it has to be retranscoded. (Default: @default)'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       display_relatedmedia:
         type:                         boolean
         value:                        true
         name:                         'Display Related Media'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       allow_player_scaling:
         type:                         boolean
         value:                        false
         name:                         'Allow Player Scaling'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
         
<?php if(ProjectConfiguration::LICENSE != 'COMMUNITY' && ProjectConfiguration::LICENSE != 'LIGHT'): ?>
       enable_keyboard_controls:
         type:                         boolean
         value:                        false
         name:                         'Enable keyboard controls'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
<?php endif; ?>
<?php if(ProjectConfiguration::LICENSE != 'COMMUNITY' && ProjectConfiguration::LICENSE != 'LIGHT'): ?>
   web_player_subtitles:
     name:                             'HTML5 Player Subtitles'
     description:                      ''
     weight:                           -9598
     params:
       enable_webplayer_subtitles:
         type:                         boolean
         value:                        true
         name:                         'Enable Subtitles'
         description:                  'If enabled, the HTML5 Player is able to display Subtitles.'
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
       webplayer_subtitles_dir:
         type:                         directory
         value:                        %SF_ROOT_DIR%/userdata/subtitles/
         must_exist:                   false
         name:                         'Subtitles directory'
         description:                  ''
         editable:                     true
         system:                       false
         nullable:                     false
         secret:                       false
#   web_player_threed:
#     name:                             'HTML5 Player 3D'
#     description:                      ''
#     weight:                           -9598
#     params:
#       enable_three_d:
#         type:                         boolean
#         value:                        true
#         name:                         'Enable 3D'
#         description:                  'If enabled, users are allowed to (upload and edit and) watch 3D-Videos.'
#         editable:                     true
#         system:                       false
#         nullable:                     false
#         secret:                       false
#       enable_three_d_upload:
#         type:                         boolean
#         value:                        true
#         name:                         'Enable 3D Upload/Edit'
#         description:                  'If enabled, users are allowed to upload and edit 3D-Videos.'
#         editable:                     true
#         system:                       false
#         nullable:                     false
#         secret:                       false
#   web_player_dualchanel:
#     name:                             'HTML5 Player Dualchanel'
#     description:                      ''
#     weight:                           -9598
#     params:
#       enable_three_d_dualchanel:
#         type:                         boolean
#         value:                        true
#         name:                         'Enable Dualchanel'
#         description:                  'If enabled, users are allowed to (upload and edit and) watch Dualchanel-Videos.'
#         editable:                     true
#         system:                       false
#         nullable:                     false
#         secret:                       false
#       enable_three_d_dualchanel_upload:
#         type:                         boolean
#         value:                        true
#         name:                         'Enable Dualchanel Upload/Edit'
#         description:                  'If enabled, users are allowed to upload and edit Dualchanel-Videos.'
#         editable:                     true
#         system:                       false
#         nullable:                     false
#         secret:                       false
#
<?php endif; ?>

<?php if(ProjectConfiguration::LICENSE != 'COMMUNITY' && ProjectConfiguration::LICENSE != 'LIGHT'): ?>
   vast:
     name:                             VAST
     description:
     weight:                           -9595
     params:
       vast_mobile_enabled:
         type:                         boolean
         value:                        false
         name:                         'Enable VAST also on mobile devices'
         description:                  'This function has beta status! Here you can enable video ad support for mobile devices.'
         editable:                     true
         system:                       false
         nullable:                     false
<?php endif; ?>

   livestreaming_player_html5:
      name:                             'HTML5 Player Livestream'
      description:                      ''
      weight:                           -9597
      params:
        livestreaming_html5_enable:
          type:                         boolean
          value:                        true
          name:                         'HTML5 livestream player'
          description:                  'Enables the HTML5 livestream player'
          editable:                     true
          system:                       false
          nullable:                     false
        livestreaming_html5_autostart:
          type:                         boolean
          value:                        false
          name:                         'Autostart livestream playback'
          description:                  ''
          editable:                     true
          system:                       false
          nullable:                     false
        livestreaming_html5_wm_position:
          type:                         set
          set:                          {off: 'Off', tl: 'Top Left', tr: 'Top Right', bl: 'Bottom Left', br: 'Bottom Right'}
          value:                        off
          name:                         'Watermarkposition'
          description:                  'Defines the position of the watermark or turns it off.'
          editable:                     true
          system:                       false
          nullable:                     false
          secret:                       false
        livestreaming_html5_wm_image:
          type:                         file
          value:                        ''
          destination:                  %SF_WEB_DIR%/images/
          mime-types:                   web_images
          name:                         'Watermarkimage'
          description:                  ''
          editable:                     true
          system:                       false
          nullable:                     false
          secret:                       false
        livestreaming_html5_wm_opacity:
          type:                         string
          value:                        '0.3'
          name:                         'Watermark opacity'
          description:                  'Reaches from 0 (transparent) to 1 (not transparent). Default is 0.3.'
          editable:                     true
          system:                       false
          nullable:                     false
          secret:                       false
        livestreaming_html5_wm_link:
          type:                         string
          value:                        ''
          name:                         'Watermark URL'
          description:                  ''
          editable:                     true
          system:                       false
          nullable:                     false
          secret:                       false